%define		status		stable
%define		pearname	HTTP_Request2
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Provides an easy way to perform HTTP requests
Summary(pl.UTF-8):	%{pearname} - dostarcza łatwą w użyciu metodę do wykonywania zapytań HTTP
Name:		php-pear-%{pearname}
Version:	2.2.1
Release:	1
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	36c8406b0d95bbdec54ad0fdafa73d00
URL:		http://pear.php.net/package/HTTP_Request2/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-Net_URL2 >= 2.0.0
Suggests:	php(curl)
Suggests:	php(fileinfo)
Suggests:	php(openssl)
Suggests:	php(zlib)
Obsoletes:	php-pear-HTTP_Request2-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP5 rewrite of HTTP_Request package. Provides cleaner API and
pluggable adapters.

Currently available are:
 - Socket adapter, based on old HTTP_Request code,
 - Curl adapter, wraps around PHP's cURL extension,
 - Mock adapter, to use for testing packages dependent on
   HTTP_Request2.

Supports POST requests with data and file uploads, authentication,
cookies, proxies, gzip and deflate encodings, monitoring the request
progress with Observers.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Port klasy HTTP_Request do PHP5. Udostępnia czystsze API oraz
dołączalne adaptery.

Obecnie dostępne są:
 - adapter oparty na gniazdach, na podstawie starego kodu HTTP_Request,
 - adapter Curl,
 - adapter Mock, do testowania pakietów korzystających z HTTP_Request2.

Klasa ta wspiera żądania POST z dołączonymi danymi oraz plikami,
autentykację, ciastka (cookies), serwery proxy, kompresję gzip oraz
deflate encoding, oraz monitorowanie żądań za pomocą obserwatorów.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

rm .%{php_pear_dir}/data/HTTP_Request2/generate-list.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTTP/Request2
%{php_pear_dir}/HTTP/Request2.php

%{php_pear_dir}/data/%{pearname}
%changelog
* Thu Jun 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-HTTP_Request2.git;a=log;h=master

* Thu Jun 19 2014 Elan Ruusamäe <glen@delfi.ee> 667d9c1
- up to 2.2.1

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> 0ef0517
- updated to: 2.1.1

* Thu Nov 03 2011 Elan Ruusamäe <glen@pld-linux.org> 4e0d13d
- up to 2.0.0-stable

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> b70abcc
- release 3

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> be98151
- release 2

* Sun May 22 2011 Elan Ruusamäe <glen@pld-linux.org> 815ccec
- up to 2.0.0RC1

* Mon Apr 25 2011 Elan Ruusamäe <glen@pld-linux.org> f3867cf
- up to beta3

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> a627f0e
- release 2

* Mon Feb 28 2011 Elan Ruusamäe <glen@pld-linux.org> 2ef1630
- up to 2.0.0beta1

* Sun Feb 27 2011 Elan Ruusamäe <glen@pld-linux.org> a7fd186
- updated to: 0.6.0

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 565cf14
- dropped -tests subpackage

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 705b265
- ensure rpmbuild macros present

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 70b7140
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 9d25038
- updated to: 0.5.2

* Sun Feb 01 2009 Adam Gołębiowski <adamg@pld-linux.org> 88e3381
- updated to 0.3.0

* Sun Jan 11 2009 Adam Gołębiowski <adamg@pld-linux.org> 96b1e24
- updated to 0.2.0

* Sat Dec 27 2008 Adam Gołębiowski <adamg@pld-linux.org> 848637c
- new

